# Copyright Vespa.ai. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.

# Disable build id note requirement for now
%undefine _missing_build_ids_terminate_build

# Force special prefix for Vespa
%define _prefix /opt/vespa-deps

# Leave the debug symbols in the binary
%define __strip /bin/true

# Version
%define ver_major 0
%define ver_minor 0
%define ver_patch 20240802
%define ver_release 3
%define gitref 12269c2761734b15625017d8565745096325392f

%define go_version 1.24.2

Summary:        Wireguard-go
Name:           vespa-wireguard-go
Version:        %{ver_major}.%{ver_minor}.%{ver_patch}
Release:        %{ver_release}%{?dist}
License:        MIT
URL:            https://github.com/WireGuard/wireguard-go
BuildRequires:  make
BuildRequires:  golang >= 1.12.9
# The source is set to a fixed commit here becase wireguard-go is not released frequently. We can switch back after 
# they have tagged a new release
Source0:        https://github.com/WireGuard/wireguard-go/archive/%{gitref}.zip

%description
Wireguard-go built for Vespa.

# Avoid failing on empty debug files list
%global debug_package %{nil}

%prep
# Extract wireguard-go
%setup -T -b 0 -q -n wireguard-go-%{gitref}

%build
PATH=$HOME/go/bin:$PATH
go install golang.org/dl/go%{go_version}@latest
go%{go_version} download
PATH=$HOME/sdk/go%{go_version}/bin/:$PATH
go version
go env -w GOPROXY="https://proxy.golang.org,direct"
make

%install
%make_install PREFIX=%{_prefix}

%files
%{_prefix}/bin/
%doc

%changelog
